> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewernames



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/names
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/names:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetViewerNames
      parameters:
        - name: pager
          in: query
          schema:
            nullable: true
            oneOf:
              - $ref: '#/components/schemas/GetViewerNamesPager'
          x-position: 2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetViewerNamesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerNamesResult'
components:
  schemas:
    GetViewerNamesPager:
      type: object
      additionalProperties: false
    GetViewerNamesRequest:
      type: object
      additionalProperties: false
      properties:
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData3'
        ViewerTypes:
          type: array
          nullable: true
          items:
            type: string
    GetViewerNamesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Viewers:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ViewerLight'
            TotalItems:
              type: integer
              format: int32
    PagingData3:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ViewerLight:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````